aboutsummaryrefslogtreecommitdiff
path: root/posix
diff options
context:
space:
mode:
Diffstat (limited to 'posix')
-rwxr-xr-xposix/globtest.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/posix/globtest.sh b/posix/globtest.sh
index a57c49f872..d5032562ea 100755
--- a/posix/globtest.sh
+++ b/posix/globtest.sh
@@ -211,6 +211,19 @@ if test $failed -ne 0; then
result=1
fi
+# Test NOMAGIC for subdirs
+failed=0
+${elf_objpfx}${rtld_installed_name} --library-path ${library_path} \
+${common_objpfx}posix/globtest -g "$testdir" "*/does-not-exist" |
+sort > $testout
+cat <<"EOF" | cmp - $testout >> $logfile || failed=1
+GLOB_NOMATCH
+EOF
+if test $failed -ne 0; then
+ echo "No magic in subdir test failed" >> $logfile
+ result=1
+fi
+
# Test subdirs correctly
failed=0
${elf_objpfx}${rtld_installed_name} --library-path ${library_path} \